aboutsummaryrefslogtreecommitdiffstats
path: root/mcp/scripts/lib.sh
diff options
context:
space:
mode:
Diffstat (limited to 'mcp/scripts/lib.sh')
-rw-r--r--mcp/scripts/lib.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/mcp/scripts/lib.sh b/mcp/scripts/lib.sh
index 947361e29..6455a65c0 100644
--- a/mcp/scripts/lib.sh
+++ b/mcp/scripts/lib.sh
@@ -36,17 +36,17 @@ function wait_for {
}
function cleanup_uefi {
- # Clean up Ubuntu boot entry if cfg01, kvm nodes online from previous deploy
+ # Clean up Ubuntu boot entry if cfg01, baremetal nodes online from previous deploy
local cmd_str="ssh ${SSH_OPTS} ${SSH_SALT}"
ping -c 1 -w 1 "${SALT_MASTER}" || return 0
[ ! "$(hostname)" = 'cfg01' ] || cmd_str='eval'
- # NOTE: Targeting nodes by hostname is fragile and should be refactored to
- # also cover corner cases like noha scenarios on AArch64 baremetal's 'ctl01'
- ${cmd_str} "sudo salt -C 'kvm* or cmp*' cmd.run \
+ ${cmd_str} "sudo salt -C 'G@virtual:physical and not cfg01*' cmd.run \
\"which efibootmgr > /dev/null 2>&1 && \
efibootmgr | grep -oP '(?<=Boot)[0-9]+(?=.*ubuntu)' | \
xargs -I{} efibootmgr --delete-bootnum --bootnum {}; \
rm -rf /boot/efi/*\"" || true
+
+ ${cmd_str} "sudo salt -C 'G@virtual:physical and not cfg01*' cmd.run 'shutdown now'" || true
}
function get_nova_compute_pillar_data {